Eclipse Platform Release 3.7

## org.eclipse.core.databinding.conversion
Interface IConverter

All Known Implementing Classes:
  Converter, org.eclipse.core.internal.databinding.validation.NumberFormatConverter, NumberToStringConverter, StringToNumberConverter

    public interface IConverter

A one-way converter.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients. Clients should subclass `Converter`.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`Object` `convert(Object fromObject)` Returns the result of the conversion of the given object.
`Object` `getFromType()` Returns the type whose instances can be converted by this converter.
`Object` `getToType()` Returns the type to which this converter can convert.

Method Detail

### getFromType

    Object getFromType()

  Returns the type whose instances can be converted by this converter. The return type is Object rather than Class to optionally support richer type systems than the one provided by Java reflection.

  Returns:
    the type whose instances can be converted, or null if this converter is untyped

### getToType

    Object getToType()

  Returns the type to which this converter can convert. The return type is Object rather than Class to optionally support richer type systems than the one provided by Java reflection.

  Returns:
    the type to which this converter can convert, or null if this converter is untyped

### convert

    Object convert(Object fromObject)

  Returns the result of the conversion of the given object.

  Parameters:
    `fromObject` - the object to convert, of type `getFromType()`
  Returns:
    the converted object, of type `getToType()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.